Opened 4 years ago

Closed 3 years ago

#52444 closed defect (invalid)

QGIS @2.16.2: QCA OpenSSL plugin not found (run-time/unit-test dependency)

Reported by: andrew.grapentin@… Owned by: Veence (Vincent)
Priority: Normal Milestone:
Component: ports Version: 2.3.4
Keywords: Cc:
Port: QGIS

Description

--->  Verifying checksums for QGIS
--->  Extracting QGIS
--->  Applying patches to QGIS
--->  Configuring QGIS
Error: org.macports.configure for port QGIS returned: configure failure: command execution failed
Please see the log file for port QGIS for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_gis_qgis/QGIS/main.log
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port qgis failed

Possible follow up from #51558

Also, I am on MacOS 10.12 Sierra if that is relevant. Here is some possibly relevant output.

towerofivory:~ andrew$ port installed | grep qca
  qca @2.1.0_2+qt4 (active)
  qca-ossl @2.1.0_2+qt4 (active)
towerofivory:~ andrew$ ls -l /opt/local/lib/libqca.*
lrwxr-xr-x  1 root  admin  62 29 Sep 01:56 /opt/local/lib/libqca.2.1.0.dylib -> /opt/local/Library/Frameworks/qca.framework/Versions/2.1.0/qca
lrwxr-xr-x  1 root  admin  62 29 Sep 01:56 /opt/local/lib/libqca.2.1.dylib -> /opt/local/Library/Frameworks/qca.framework/Versions/2.1.0/qca
lrwxr-xr-x  1 root  admin  62 29 Sep 01:56 /opt/local/lib/libqca.2.dylib -> /opt/local/Library/Frameworks/qca.framework/Versions/2.1.0/qca
lrwxr-xr-x  1 root  admin  62 29 Sep 01:56 /opt/local/lib/libqca.dylib -> /opt/local/Library/Frameworks/qca.framework/Versions/2.1.0/qca
towerofivory:~ andrew$ port contents qca-ossl
Port qca-ossl contains:
  /opt/local/share/qca/plugins/crypto/libqca-ossl.dylib

Attachments (4)

CMakeCache.txt (62.1 KB) - added by andrew.grapentin@… 4 years ago.
CMakeOutput.log (43.0 KB) - added by andrew.grapentin@… 4 years ago.
CMakeError.log (6.6 KB) - added by andrew.grapentin@… 4 years ago.
main.log (209.9 KB) - added by andrew.grapentin@… 4 years ago.

Download all attachments as: .zip

Change History (7)

Changed 4 years ago by andrew.grapentin@…

Attachment: CMakeCache.txt added

Changed 4 years ago by andrew.grapentin@…

Attachment: CMakeOutput.log added

Changed 4 years ago by andrew.grapentin@…

Attachment: CMakeError.log added

Changed 4 years ago by andrew.grapentin@…

Attachment: main.log added

comment:1 Changed 4 years ago by ryandesign (Ryan Schmidt)

Cc: vince@… removed
Owner: changed from macports-tickets@… to vince@…
Summary: QGIS 2.16.2: CMake fail - QCA OpenSSL plugin not foundQGIS @2.16.2: QCA OpenSSL plugin not found (run-time/unit-test dependency)

comment:2 Changed 4 years ago by Veence (Vincent)

Sorry, I’ve been very late on this. This was caused by a bug in the qca portfile. It should be fixed now. Update and retry.

comment:3 Changed 3 years ago by Veence (Vincent)

Resolution: invalid
Status: newclosed
Note: See TracTickets for help on using tickets.